package tp04;

public class Person{
    private int id;
    private String forename;
    private String name;

    Person(int id, String forename, String name){
        this.id = id;
        this.forename = forename;
        this.name = name;
    }

    Person(String forename, String name){
        this.id = 0;
        this.forename = forename;
        this.name = name;
    }

    public int getId(){
        return this.id;
    }

    public String getForename(){
        return this.forename;
    }

    public String getName(){
        return this.name;
    }

    public void setForename(String forename){
        this.forename = forename;
    }

    public void setName(String name){
        this.name = name;
    }

   public String toString(){
    return "<" + this.id + "> : <" + this.forename + "> <" + name+ ">";
   }

   public boolean equals(Object obj) {
    if(this == obj){
        return true;
    }
    if(obj == null){
        return false;
    }
    if(this.getClass() != obj.getClass()){
        return false;
    }
    Person other = (Person) obj;
    if(this.id != other.id){
        return false;
    }
    if (this.name == null) {
        if (other.name != null){
            return false;
        }
    } else if (!this.name.equals(other.name)){
        return false;
    }
    if (this.forename == null) {
        if (other.forename != null){
            return false;
        }
    } else if (!this.forename.equals(other.forename)){
        return false;
    }
    return true;
    }
}